# Generated by Django 4.0.10 on 2023-04-05 20:14

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('artefacts', '0011_artefacttype_description'),
    ]

    operations = [
        migrations.CreateModel(
            name='DamageGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('name', models.CharField(max_length=225, unique=True, verbose_name='name')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LevelOfDamage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.CharField(max_length=225, unique=True, verbose_name='label')),
                ('level', models.IntegerField(verbose_name='level')),
            ],
        ),
        migrations.CreateModel(
            name='TypeOfDamage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=225, unique=True, verbose_name='name')),
                ('icon_class', models.CharField(blank=True, max_length=255, null=True, verbose_name='icon class')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('group', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.damagegroup', verbose_name='group')),
            ],
        ),
        migrations.CreateModel(
            name='DamageAssessment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('timestamp_add', models.DateTimeField(auto_now_add=True, verbose_name='timestamp add')),
                ('timestamp_remove', models.DateTimeField(blank=True, null=True, verbose_name='timestamp remove')),
                ('artefact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='damages', to='artefacts.artefact', verbose_name='artefact')),
                ('damage_level', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.levelofdamage', verbose_name='level of damage')),
                ('damage_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.typeofdamage', verbose_name='type of damage')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
            options={
                'verbose_name': 'damage assessment',
                'verbose_name_plural': 'damage assessments',
            },
        ),
    ]
